#ifndef PLAYER_H
#define PLAYER_H

#include "game/game_object.h"

class Ship_Weapon;

class Player : public GameObject
{
	DECLARE_RTTI( Player, GameObject );
	
public:
	// Object factory
	static GameObject* _Construct(); 

public:
	Player();
	~Player();
	
	void Update( float dt );

	
private:
	Ship_Weapon* m_weapon;

	Vec3 m_linearVelocity;
	
};

#endif // !PLAYER_H
